Bug 506601 - unable to set proper mode on 32" TV (DVI-HDMI)
unable to set proper mode on 32" TV (DVI-HDMI)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 17:29 EDT by Tomasz Torcz
Modified: 2010-06-28 09:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.lo (218.50 KB, text/plain)
2009-06-17 17:29 EDT, Tomasz Torcz
no flags Details
output of xrandr --prop (1.41 KB, text/plain)
2009-06-17 17:30 EDT, Tomasz Torcz
no flags Details
Xorg.0.log from binary drivers (13.43 KB, text/plain)
2009-06-25 13:43 EDT, Tomasz Torcz
no flags Details
Xorg.0.log from F12 (working) (117.33 KB, text/plain)
2009-11-12 15:14 EST, Tomasz Torcz
no flags Details

  None (edit)
Description Tomasz Torcz 2009-06-17 17:29:29 EDT
Created attachment 348352 [details]
Xorg.0.lo

Description of problem:
I have Vidia Corporation NV35 [GeForce FX 5900XT] (rev a1), connected via DVI-HDMI cable to Panasonic Viera TV 32". TV has 1280x720 resolution, yet xrandr shows only 640x480, which isn't even displayed by TV.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-36.20090514git9656762.fc11.i586
kernel-PAE-2.6.29.4-167.fc11.i686



Additional info:
I've connected LCD monitor to VGA output to see something, so it shows in attached logs.
Comment 1 Tomasz Torcz 2009-06-17 17:30:14 EDT
Created attachment 348353 [details]
output of xrandr --prop
Comment 2 Adam Jackson 2009-06-19 12:28:19 EDT
(II) NOUVEAU(0): Not using mode "1280x720" (exceeds panel dimensions)

This is assuredly the problem.  We're also not adding any of the CEA modes from the extension block, but those wouldn't give you native panel size anyway.
Comment 3 Tomasz Torcz 2009-06-25 13:43:20 EDT
Created attachment 349431 [details]
Xorg.0.log from binary drivers

Just for reference I've checked kitten killing binary drivers. They are able to display stable picture (although sides are trimmed and picture is not sharp). I'm attaching Xorg.0.log generated by them.
Comment 4 Matěj Cepl 2009-11-05 13:32:31 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Tomasz Torcz 2009-11-12 15:14:37 EST
Created attachment 369312 [details]
Xorg.0.log from F12 (working)

So I've upgraded to Fedora 12, gave nouveau a try again. And... the bug is gone. I'm watching movie on the TV using nouveau right now! The only nitpick I have is slightly blurred and stretched picture -- few pixels are missing from each border. But the picture is stable (apart from slight tearing).

For the reference, versions.
Linux mother.pipebreaker.pl 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7 21:25:57 EST 2009 i686 athlon i386 GNU/Linux

xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2efd.fc12.i686

And Xorg.0.log attached.
Comment 6 Adam Williamson 2009-11-13 01:24:07 EST
What resolution is it using? The correct one for the TV, 1280x720?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Tomasz Torcz 2009-11-13 04:15:46 EST
Yes, the correct one. The is no difference between 50Hz and 60Hz also.

DVI-I-0 connected 1280x720+0+0 (normal left inverted right x axis y axis) 697mm x 392mm
   1280x720       50.0 +   60.0* 
   720x576        50.0  
   720x480        59.9
Comment 8 Bug Zapper 2010-04-27 11:02:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tomasz Torcz 2010-04-27 13:29:20 EDT
According ot manual, this TV has 1366x768 display, but EDID shows only 1280x720. Broken TV, I suppose.
Comment 10 Adam Williamson 2010-04-29 11:33:40 EDT
IIRC the bug report was that it wouldn't even do 1280x720; is that still the case, in f12? if it does the highest mode the EDID reports, then that's the best we can do. To get to 1366x768 you can disable the EDID checking and set the modeline manually, I think, but we wouldn't do that out of the box.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Tomasz Torcz 2010-04-29 11:53:45 EDT
Sorry for not being clear. I no longer have any F12 system, I've updated every machine to F13, including the one connected to TV. F11 would do even 1280x720, F12 and F13 do it.
Comment 12 Bug Zapper 2010-06-28 09:06:53 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.